# flutter_plugin_sensors

This is the official Flutter Plugin for Sensors Analytics. http://sensorsdata.cn

## Getting Started
<br><br>
[![License](https://img.shields.io/github/license/sensorsdata/sa-sdk-android.svg)](https://github.com/sensorsdata/sa-sdk-android/blob/master/LICENSE)
[![GitHub release](https://img.shields.io/github/tag/sensorsdata/sa-sdk-android.svg?label=release)](https://github.com/sensorsdata/sa-sdk-android/releases)
[![GitHub release date](https://img.shields.io/github/release-date/sensorsdata/sa-sdk-android.svg)](https://github.com/sensorsdata/sa-sdk-android/releases)

## 神策简介

[**神策数据**](https://www.sensorsdata.cn/)
（Sensors Data），隶属于神策网络科技（北京）有限公司，是一家专业的大数据分析服务公司，大数据分析行业开拓者，为客户提供深度用户行为分析平台、以及专业的咨询服务和行业解决方案，致力于帮助客户实现数据驱动。神策数据立足大数据及用户行为分析的技术与实践前沿，业务现已覆盖以互联网、金融、零售快消、高科技、制造等为代表的十多个主要行业、并可支持企业多个职能部门。公司总部在北京，并在上海、深圳、合肥、武汉等地拥有本地化的服务团队，覆盖东区及南区市场；公司拥有专业的服务团队，为客户提供一对一的客户服务。公司在大数据领域积累的核心关键技术，包括在海量数据采集、存储、清洗、分析挖掘、可视化、智能应用、安全与隐私保护等领域。 [**More**](https://www.sensorsdata.cn/about/aboutus.html)

## SDK 简介

SensorsAnalytics SDK 是国内第一家，也是目前唯一的开源商用版用户行为采集 SDK，目前支持代码埋点、全埋点、App 点击图、可视化全埋点等。其采集全面而灵活、性能良好，并一直优化更新。目前有 600 多家付费客户，1500+ 的 App 集成了 SensorsAnalytics SDK，使用它作为 App 数据采集利器，帮助其精准运营和支撑业务发展，其稳定和功能，经过了客户选择和时间的验证。

## 集成文档

请参考神策官网 [Android SDK 集成文档](http://www.sensorsdata.cn/manual/android_sdk.html)。

## 贡献

我们欢迎并非常感谢您的贡献。有关提交代码和贡献工作流的详细信息，可参考 [CONTRIBUTING.md](CONTRIBUTING.md)。

## 规划

可参考 [ROADMAP](ROADMAP.md).

## 讨论

可加入神策官方 SDK QQ 讨论群：<br><br>
![ QQ 讨论群](docs/qrCode.jpeg)

## 新书推荐

| 《数据驱动：从方法到实践》                                   | 《Android 全埋点解决方案》                                   |
| ------------------------------------------------------------ | ------------------------------------------------------------ |
| [![《数据驱动：从方法到实践》](docs/data_driven_book.jpg)](https://u.jd.com/dWkE2x) | [![《Android 全埋点解决方案》](docs/android_autotrack_book.jpg)](https://u.jd.com/2JFaeG) |

## 感谢

- [mixpanel-android](https://github.com/mixpanel/mixpanel-android) 
- [TiDB](https://github.com/pingcap/tidb) 
- [Knight-ZXW](https://github.com/Knight-ZXW)

## License

Copyright 2015－2019 Sensors Data Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

**同时，我们禁止一切基于神策数据开源 SDK 的商业活动！**
