package flutter.dsw.com.flutter_plugin_sensors;

import android.content.Context;
import android.util.Log;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;

/** FlutterPluginSensorsPlugin */
public class FlutterPluginSensorsPlugin implements MethodCallHandler {

  private Context mContext;

  public FlutterPluginSensorsPlugin(Context context) {
    this.mContext = context;
  }

  /** Plugin registration. */
  public static void registerWith(Registrar registrar) {
    final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_plugin_sensors");
    channel.setMethodCallHandler(new FlutterPluginSensorsPlugin(registrar.context()));
  }

  @Override
  public void onMethodCall(MethodCall call, Result result) {
      switch (call.method) {
          case "trackInstallation":
              SensorsDataAPIHelp.getInstance(mContext).trackInstallation(call);
              break;
          case "login":
              SensorsDataAPIHelp.getInstance(mContext).login(call);
              break;
          case "logout":
              SensorsDataAPIHelp.getInstance(mContext).logout();
              break;
          case "track":
              SensorsDataAPIHelp.getInstance(mContext).track(call);
              break;
          case "profileAppend":
              SensorsDataAPIHelp.getInstance(mContext).profileAppend(call);
              break;
          case "profileAppendValues":
              Log.d("Andoter", "profileAppendValues");
              SensorsDataAPIHelp.getInstance(mContext).profileAppendValues(call);
              break;
          case "profileUnset":
              SensorsDataAPIHelp.getInstance(mContext).profileUnset(call);
              break;
          case "profileDelete":
              SensorsDataAPIHelp.getInstance(mContext).profileDelete();
              break;
          case "profileSet":
              SensorsDataAPIHelp.getInstance(mContext).profileSet(call);
              break;
          case "profileSetProperties":
              SensorsDataAPIHelp.getInstance(mContext).profileSetProperties(call);
              break;
          case "profileSetOnce":
              SensorsDataAPIHelp.getInstance(mContext).profileSetOnce(call);
              break;
          case "profileSetOnceProperties":
              SensorsDataAPIHelp.getInstance(mContext).profileSetOnceProperties(call);
              break;
          case "profileIncrement":
              SensorsDataAPIHelp.getInstance(mContext).profileIncrement(call);
              break;
          case "profileIncrementProperties":
              SensorsDataAPIHelp.getInstance(mContext).profileIncrementProperties(call);
              break;
          default:
              result.notImplemented();
              break;
      }

    result.success(null);
  }
}
