package flutter.dsw.com.flutter_plugin_sensors_example;

import io.flutter.app.FlutterApplication;
// 引入神策分析 SDK
import com.sensorsdata.analytics.android.sdk.SensorsAnalyticsAutoTrackEventType;
import com.sensorsdata.analytics.android.sdk.SensorsDataAPI;
import com.sensorsdata.analytics.android.sdk.SAConfigOptions;

public class MyApplication extends FlutterApplication {
    // 数据接收的 URL
    final String SA_SERVER_URL = "http://sdk-test.datasink.sensorsdata.cn/sa?project=dengshiwei&token=95c73ae661f85aa0";

    @Override
    public void onCreate() {
        super.onCreate();
        initSensorsData();
    }

    private void initSensorsData() {
        SAConfigOptions saConfigOptions = new SAConfigOptions(SA_SERVER_URL);
        //在初始化时，利用 SAConfigOptions 对象开启全埋点
        saConfigOptions.setAutoTrackEventType(SensorsAnalyticsAutoTrackEventType.APP_CLICK|
                SensorsAnalyticsAutoTrackEventType.APP_START|
                SensorsAnalyticsAutoTrackEventType.APP_END|
                SensorsAnalyticsAutoTrackEventType.APP_VIEW_SCREEN);
        saConfigOptions.enableLog(true);

        SensorsDataAPI.sharedInstance(this, saConfigOptions);
    }
}
